## sysv-rc-conf 0.99

=== Makefile ===
PREFIX = $(DESTDIR)/usr/sbin
MANDIR = $(DESTDIR)/usr/share/man/man8

all: man

man : 
	pod2man -s 8 -c ' ' ./sysv-rc-conf.pl | gzip -9 -c > sysv-rc-conf.8.gz

install : man
	mkdir -p $(PREFIX) $(MANDIR)
	install -m755 ./sysv-rc-conf.pl $(PREFIX)/sysv-rc-conf
	install -m644 ./sysv-rc-conf.8.gz $(MANDIR)

uninstall :
	rm -f $(PREFIX)/sysv-rc-conf
	rm -f $(MANDIR)/sysv-rc-conf.8.gz

clean :
	rm -f sysv-rc-conf.8.gz

=== debian/changelog ===
sysv-rc-conf (0.99-10) unstable; urgency=medium

  * QA upload.
  * Depend on sysvinit-core, as this tool is at best useless or worse, wrong
    on non-sysvinit systems. (Closes: #859693, #791689)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 21 Dec 2022 00:29:13 +0000

sysv-rc-conf (0.99-9) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 0.96-1.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 04:38:50 +0000

sysv-rc-conf (0.99-8) unstable; urgency=medium

  * QA upload.
  * debian/watch: Correctly monitor upstream release on SourceForge.
    Closes: #449682
    + However, note that upstream is not active anymore.
  * debian/: Apply wrap-and-sort -abst.
  * debian/rules: Migrate to dh 13.
  * Convert source format to "3.0 (quilt)".
  * debian/sysv-rc.conf.8: Regenerate from source.
  * debian/changelog: Remove trailing spaces.
  * debian/control:
    + Add Vcs-* fields.
    + Add project homepage on SourceForge.
    + Add ${perl:Depends} in dependency field.

 -- Boyuan Yang <byang@debian.org>  Sun, 31 Oct 2021 14:37:08 -0400

sysv-rc-conf (0.99-7.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 15:21:04 +0100

sysv-rc-conf (0.99-7) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Standards-Version bumped to 3.9.3.
  * ${misc:Depends} added to the dependencies.
  * Debhelper compatibility version set to 9.

 -- Emanuele Rocca <ema@debian.org>  Wed, 09 May 2012 09:45:20 +0000

sysv-rc-conf (0.99-6) unstable; urgency=low

  * Added patch that fix greedy names handling (thanks to Michael Mirold)
    Closes: #408302

 -- Francesco Pedrini <francesco.pedrini@gmail.com>  Wed, 24 Jan 2007 23:19:08 +0100

sysv-rc-conf (0.99-5) unstable; urgency=low

  * Dropped dependency on sysvinit (Closes: #386130)

 -- Francesco Pedrini <francesco.pedrini@gmail.com>  Tue,  5 Sep 2006 15:57:32 +0200

sysv-rc-conf (0.99-4) unstable; urgency=low

  * Updated Standards Version to 3.7.2
  * Ported package to CDBS architecture
  * sysv-rc-conf now abort if a wrong option is given (thanks to Alex Manoussakis)
  * Added -h/--help option (thanks to Alex Manoussakis)

 -- Francesco Pedrini <francesco.pedrini@gmail.com>  Tue,  2 May 2006 10:54:19 +0200

sysv-rc-conf (0.99-3) unstable; urgency=low

  * New Maintainer (Closes: #335790)
  * Updated Standards Version to 3.6.2

 -- Francesco Pedrini <francesco.pedrini@gmail.com>  Thu, 12 Jan 2006 01:19:34 +0100

sysv-rc-conf (0.99-2) unstable; urgency=low

  * QA Group upload orphaning this package

 -- Andrew Pollock <apollock@debian.org>  Wed,  9 Nov 2005 15:01:35 +1100

sysv-rc-conf (0.99-1) unstable; urgency=low

  * Normal users can now --list services. Patch by Javier Fernandez-Sanguino
    Peña <jfs@computer.org>. Closes: #307965
  * Manual page additions. Patch by Javier Fernandez-Sanguino Peña
    <jfs@computer.org>. Closes: #307968
  * Added some more files types to not display to prevent users from
    messing up with old dpkg configuration files. Patch by Javier
    Fernandez-Sanguino Peña <jfs@computer.org>. Closes: #307970

 -- Joe Oppegaard <joe@pidone.org>  Wed, 11 May 2005 10:56:51 -0800

sysv-rc-conf (0.98-4) unstable; urgency=low

  * Properly support floating rc scripts (see #243159). Now if you had
    a symlink that didn't exist and you checked and unchecked a box
    it will go back to no symlink instead of adding a K link.
    Closes: #285850

 -- Joe Oppegaard <joe@pidone.org>  Mon, 20 Dec 2004 11:21:30 -0800

sysv-rc-conf (0.98-3) unstable; urgency=low

  * Changed postrm to only delete /var/lib/sysv-rc-conf on purge.
    Closes: #286019

 -- Joe Oppegaard <joe@pidone.org>  Thu, 16 Dec 2004 18:52:18 -0800

sysv-rc-conf (0.98-2) unstable; urgency=low

  * Fix upgrade dependency issue per Miquel van Smoorenburg.
    Closes: #282549

 -- Osamu Aoki <osamu@debian.org>  Fri, 26 Nov 2004 22:44:53 +0100

sysv-rc-conf (0.98-1) unstable; urgency=low

  * New upstream release.
  * Bug fix that caused scripts in init.d to not show up if there weren't
    any links to it in any of the rc?.d directories. closes: #272024

 -- Joe Oppegaard <joe@pidone.org>  Sat,  2 Oct 2004 12:44:59 -0800

sysv-rc-conf (0.97-1) unstable; urgency=low

  * New upstream release.
  * Bug fix that crashed the program if there was a service without a K
    link in the cache and the S priority was above 90. closes: #254340

 -- Joe Oppegaard <joe@pidone.org>  Mon, 14 Jun 2004 15:00:49 -0800

sysv-rc-conf (0.96-1) unstable; urgency=low

  * New upstream release. Features include addition of chkconfig like syntax
    and a much faster startup time.

 -- Joe Oppegaard <joe@pidone.org>  Sat, 05 Jun 2004 14:58:52 -0800

sysv-rc-conf (0.95-1) unstable; urgency=low

  * New upstream release
  * Update to Debian description. closes: #245939

 -- Joe Oppegaard <joe@pidone.org>  Sat, 15 May 2004 19:46:22 -0800

sysv-rc-conf (0.94-1) unstable; urgency=low

  * New upstream release
  * Upload package to close ITP. closes: #243179
  * Sponsor changes by Osamu Aoki <osamu@debian.org>

 -- Joe Oppegaard <joe@pidone.org>  Sun, 11 Apr 2004 09:40:30 -0800

sysv-rc-conf (0.93-1) unstable; urgency=low

  * New upstream release.

 -- Joe Oppegaard <joe@pidone.org>  Fri,  2 Apr 2004 10:03:31 -0800

sysv-rc-conf (0.90-1) unstable; urgency=low

  * New upstream release.
  * Project renamed to sysv-rc-conf from rc-sysv-conf

 -- Joe Oppegaard <joe@pidone.org>  Mon,  8 Mar 2004 20:15:40 -0800

rc-sysv-conf (0.80-1) unstable; urgency=low

  * Initial Release.
  * Adjusted Makefile to accept DESTDIR=...

 -- Joe Oppegaard <joe@pidone.org>  Mon,  1 Mar 2004 17:05:08 -0800

=== debian/control ===
Source: sysv-rc-conf
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.1
Homepage: https://sourceforge.net/projects/sysv-rc-conf/
Vcs-Git: https://salsa.debian.org/debian/sysv-rc-conf.git
Vcs-Browser: https://salsa.debian.org/debian/sysv-rc-conf

Package: sysv-rc-conf
Architecture: all
Depends:
 libcurses-ui-perl,
 sysv-rc,
 sysvinit-core,
 ${misc:Depends},
 ${perl:Depends},
Description: SysV init runlevel configuration tool for the terminal
 sysv-rc-conf provides a terminal GUI for managing "/etc/rc{runlevel}.d/"
 symlinks.  The interface comes in two different flavors, one that simply
 allows turning services on or off and another that allows for more fine tuned
 management of the symlinks.  Unlike most runlevel config programs, you can
 edit startup scripts for any runlevel, not just your current one.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_auto_install:
	# Do not include autogenerated man page (reproducibility)
	# Use the copy installed by dh_installman
	rm -f debian/*/usr/share/man/man8/sysv-rc-conf.8.gz

=== debian/watch ===
version=4
opts="" \
 https://sf.net/sysv-rc-conf/sysv-rc-conf-(.*)\.tar\.gz

## sysv-rc-conf 1.0.0

=== Makefile ===
PREFIX ?= /usr/local
SBINDIR = $(DESTDIR)$(PREFIX)/sbin
MANDIR  = $(DESTDIR)$(PREFIX)/share/man/man8

all: man

.PHONY: man
man:
	pod2man -s 8 -c ' ' ./sysv-rc-conf.pl | gzip -9 -c > sysv-rc-conf.8.gz

.PHONY: install
install: man
	mkdir -p $(SBINDIR) $(MANDIR)
	install -m755 ./sysv-rc-conf.pl $(SBINDIR)/sysv-rc-conf
	install -m644 ./sysv-rc-conf.8.gz $(MANDIR)

.PHONY: uninstall
uninstall:
	rm -f $(SBINDIR)/sysv-rc-conf
	rm -f $(MANDIR)/sysv-rc-conf.8.gz

.PHONY: clean
clean:
	rm -f sysv-rc-conf.8.gz

=== debian/changelog ===
sysv-rc-conf (1.0.0-1) experimental; urgency=medium

  [ Andrew Bower ]
  * New upstream release.
    - drop patches adopted upstream
    - new upstream maintainer and project location with signed upstream tags
    - fix updating of outdated service cache lines (Closes: #462197)
    - add --width option to change service label width
      (Closes: #282850, #515176, #559284)
      Thanks: Thomas Hooge <thomas@hoogi.de>
    - auto-size service label width by default (Closes: #500928)
    - don't create symlinks for non-existent initscripts (Closes: #463813)
    - ignore hidden symlinks (Closes: #317919) Thanks: Thomas Hood

 -- Andrew Bower <andrew@bower.uk>  Mon, 19 May 2025 00:11:23 +0100

sysv-rc-conf (0.99-11) experimental; urgency=medium

  * New maintainer (Closes: #615551)
  * fix restore action in GUI (Closes: #428300)
  * conflict with systemd instead of depending on sysvinit (Closes: #1101338)
    - sysv-rc-conf has some utility managing runlevels for init systems that
      retain initscript fallback capabilities and prior to switching inits.
    - many unintended users will have been shaken out by the dependency in
      place on bookworm and trixie: the risk of confusion is now much reduced.
  * update package description with context to evaluate suitability
  * add README.Debian with caveats as to the suitability of sysv-rc-conf
  * use autogenerated man page, retaining reproducibility
  * update S-V: no changes needed
  * convert copyright to DEB-5
  * add DEB-3 headers to patches
  * add upstream metadata
  * add salsa CI
  * add initial gbp.conf defining debian branch

 -- Andrew Bower <andrew@bower.uk>  Tue, 13 May 2025 07:38:37 +0100

=== debian/control ===
Source: sysv-rc-conf
Section: admin
Priority: optional
Maintainer: Andrew Bower <andrew@bower.uk>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.2
Homepage: https://gitlab.com/abower/sysv-rc-conf
Vcs-Git: https://salsa.debian.org/debian/sysv-rc-conf.git
Vcs-Browser: https://salsa.debian.org/debian/sysv-rc-conf

Package: sysv-rc-conf
Architecture: all
Depends:
 libcurses-ui-perl,
 liblist-utilsby-perl,
 sysv-rc,
 ${misc:Depends},
 ${perl:Depends},
Conflicts:
 systemd,
Description: SysV init runlevel configuration tool for the terminal
 The sysv-rc-conf utility provides a terminal UI for managing symlinks in
 /etc/rcN.d directories. The interface allows services to be controlled
 independently for each runlevel.
 .
 This tool bypasses the standard and recommended update-rc.d mechanism in
 Debian to manipulate the symlinks directly. This tool does not control
 services when systemd is the init system, for which systemctl should be used.
 Other init systems vary in the use they make of the SysV-style runlinks for
 fallback purposes.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr

%:
	dh $@

execute_after_dh_auto_install:
	gzip -d debian/sysv-rc-conf/usr/share/man/man8/sysv-rc-conf.8.gz

## sysv-rc-conf 1.1.0

=== Makefile ===
PREFIX ?= /usr/local
SBINDIR = $(DESTDIR)$(PREFIX)/sbin
MANDIR  = $(DESTDIR)$(PREFIX)/share/man/man
MENUDIR = $(DESTDIR)$(PREFIX)/share/applications
ICONDIR = $(DESTDIR)$(PREFIX)/share/icons/hicolor/64x64/apps
LIBEXECDIR = $(DESTDIR)$(PREFIX)/libexec

ifeq ("$(PREFIX)", "/usr")
PERLDIR = $(DESTDIR)$(PREFIX)/share/perl5
else
PERLDIR = $(DESTDIR)$(PREFIX)/lib/site_perl
endif

perl_modules = Multistate LSB
pm_files = $(addsuffix .pm,$(addprefix lib/App/SysVRcConf/,$(perl_modules)))
pm_manpages = $(addsuffix .3perl,$(addprefix App::SysVRcConf::,$(perl_modules)))

xdg_entries = sysv-rc-conf

stripdest = $(patsubst $(DESTDIR)%,%,$1)
pathsubsts = $(addprefix -e,s,/usr/sbin,$(call stripdest,$(SBINDIR)),g \
                            s,/usr/libexec,$(call stripdest,$(LIBEXECDIR)),g)

all: man sysv-rc-conf.png

.PHONY: man
man:
	pod2man -s 8 -c ' ' sysv-rc-conf.pl sysv-rc-conf.8
	pod2man -s 3perl -c ' ' $(foreach pm,$(perl_modules),lib/App/SysVRcConf/$(pm).pm App::SysVRcConf::$(pm).3perl)

sysv-rc-conf.png: sysv-rc-conf.svg
	rsvg-convert --width 64 --output $@ $<

.PHONY: install
install: man
	mkdir -p $(SBINDIR) $(MANDIR)8 $(MANDIR)3 $(MENUDIR) $(ICONDIR) $(LIBEXECDIR)
	install -m644 -D -t $(PERLDIR)/App/SysVRcConf $(pm_files)
	install -m755 sysv-rc-conf.pl $(SBINDIR)/sysv-rc-conf
	install -m644 sysv-rc-conf.8 $(MANDIR)8
	install -m644 $(pm_manpages) $(MANDIR)3
	install -m644 sysv-rc-conf.png $(ICONDIR)
	sed $(pathsubsts) sysv-rc-conf.desktop > $(MENUDIR)/sysv-rc-conf.desktop
	sed $(pathsubsts) sysv-rc-conf-desktop-wrapper > $(LIBEXECDIR)/sysv-rc-conf-desktop-wrapper
	chmod +x $(LIBEXECDIR)/sysv-rc-conf-desktop-wrapper

.PHONY: uninstall
uninstall:
	$(RM) $(SBINDIR)/sysv-rc-conf
	$(RM) $(MANDIR)8/sysv-rc-conf.8.gz
	$(RM) $(addprefix $(MANDIR)3/,$(pm_manpages))
	$(RM) $(foreach pm,$(perl_modules),$(PERLDIR)/App/SysVRcConf/$(pm).pm)
	$(RM) $(foreach xdg,$(xdg_entries),$(MENUDIR)/$(xdg).desktop)
	$(RM) $(ICONDIR)/sysv-rc-conf.png
	$(RM) $(LIBEXECDIR)/sysv-rc-conf-desktop-wrapper

.PHONY: clean
clean:
	$(RM) *.8 $(pm_manpages) sysv-rc-conf.png

=== debian/changelog ===
sysv-rc-conf (1.1.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
    * use tristate widget for floating services (Closes: #285850, #318568)
    * add PgDn/PgUp/Home screen navigation (Closes: #339064)
    * quit from help screen only leaves help (Closes: #292809)
    * refresh documentation, including tristate mode (Closes: #292808)
    * add --UI defaulting to off for -P (Closes: #810746, #743803)
    * line up columns with --list (Closes: #578080)
    * toggle all multiuser runlevels with 'm' key (Closes: #577841)
    * add 'd' key and 'reset' command to use LSB defaults (Closes: #584083)
    * operate read-only when not-root and add read-only option
    * add warning when used with systemd
  * patch to fix RO use when not yet run with RW access to create state dir
  * add /etc/sysv-rc-conf.conf, causing insserv to be used by default to
    update dependency-based boot sequence and adjust sort order.
  * add /usr/sbin/chkconfig alternative, using newly-extended emulation
  * change packaging branch to debian/latest
  * fix typos in 0.99-11 changelog
  * weaken dependency on sysv-rc, not essential for organising symlink farm

 -- Andrew Bower <andrew@bower.uk>  Sun, 10 Aug 2025 10:41:36 +0100

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
 https://gitlab.com/abower/sysv-rc-conf.git/ refs/tags/v([\d\.]+)

## sysv-rc-conf 1.1.1

=== Makefile ===
--- 
+++ 
@@ -37,11 +37,14 @@
 	install -m644 -D -t $(PERLDIR)/App/SysVRcConf $(pm_files)
 	install -m755 sysv-rc-conf.pl $(SBINDIR)/sysv-rc-conf
 	install -m644 sysv-rc-conf.8 $(MANDIR)8
-	install -m644 $(pm_manpages) $(MANDIR)3
 	install -m644 sysv-rc-conf.png $(ICONDIR)
 	sed $(pathsubsts) sysv-rc-conf.desktop > $(MENUDIR)/sysv-rc-conf.desktop
 	sed $(pathsubsts) sysv-rc-conf-desktop-wrapper > $(LIBEXECDIR)/sysv-rc-conf-desktop-wrapper
 	chmod +x $(LIBEXECDIR)/sysv-rc-conf-desktop-wrapper
+
+install-dev: install
+	mkdir -p $(MANDIR)3
+	install -m644 $(pm_manpages) $(MANDIR)3
 
 .PHONY: uninstall
 uninstall:

=== debian/changelog ===
sysv-rc-conf (1.1.1-1) unstable; urgency=medium

  * New upstream release.
    - tolerate LSB header parsing errors
    - don't install manpages for internal library modules
  * drop patch applied upstream
  * add autopkgtests

 -- Andrew Bower <andrew@bower.uk>  Sat, 30 Aug 2025 12:02:29 +0100

=== debian/control ===
Source: sysv-rc-conf
Section: admin
Priority: optional
Maintainer: Andrew Bower <andrew@bower.uk>
Build-Depends:
 debhelper-compat (= 13),
 librsvg2-bin,
 fonts-dejavu-mono,
 fonts-freefont-ttf,
Standards-Version: 4.7.2
Homepage: https://gitlab.com/abower/sysv-rc-conf
Vcs-Git: https://salsa.debian.org/debian/sysv-rc-conf.git
Vcs-Browser: https://salsa.debian.org/debian/sysv-rc-conf

Package: sysv-rc-conf
Architecture: all
Depends:
 libcurses-ui-perl,
 liblist-utilsby-perl,
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 sysv-rc,
Description: SysV init runlevel configuration tool for the terminal
 The sysv-rc-conf utility provides a terminal UI for managing symlinks
 independently for each runlevel as an alternative to the recommended
 update-rc.d(8) tool.
 .
 This tool does not control services when systemd is the init system,
 for which systemctl should be used.

=== debian/watch ===
Version: 5

Source: https://gitlab.com/abower/sysv-rc-conf.git/
Matching-Pattern: refs/tags/v([\d\.]+)
Mode: git
Pgpmode: gittag

## sysv-rc-conf 1.2.0

=== debian/changelog ===
sysv-rc-conf (1.2.0-1) unstable; urgency=medium

  * New upstream release.
    - annotate services with analysis of state of symlinks and whether
      there is any change from the LSB defaults.
    - detect runit as init and highlight which services are managed by
      runit or systemd.
    - add action to restore settings for just one service.
    - add separator between priority number and service. (Closes: #578081)
  * Record upstream move to new namespace.

 -- Andrew Bower <andrew@bower.uk>  Wed, 15 Oct 2025 23:11:05 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  fonts-dejavu-mono,
  fonts-freefont-ttf,
 Standards-Version: 4.7.2
-Homepage: https://gitlab.com/abower/sysv-rc-conf
+Homepage: https://gitlab.com/init-tools/sysv-rc-conf
 Vcs-Git: https://salsa.debian.org/debian/sysv-rc-conf.git
 Vcs-Browser: https://salsa.debian.org/debian/sysv-rc-conf

## sysv-rc-conf 1.2.1

=== debian/changelog ===
sysv-rc-conf (1.2.1-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Andrew Bower <andrew@bower.uk>  Sat, 18 Oct 2025 15:56:06 +0100

sysv-rc-conf (1.2.0-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Andrew Bower <andrew@bower.uk>  Sat, 18 Oct 2025 08:49:54 +0100

sysv-rc-conf (1.2.1-1) unstable; urgency=medium

  * New upstream release.
    - detect openrc as runlevel manager
  * d/control: drop unnecessary relationship with sysv-rc package.
  * d/docs: drop irrelevant upstream TODO file.
  * Split system config into immutable part.

 -- Andrew Bower <andrew@bower.uk>  Fri, 17 Oct 2025 22:32:48 +0100

sysv-rc-conf (1.1.1-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Andrew Bower <andrew@bower.uk>  Mon, 01 Sep 2025 20:34:15 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr

%:
	dh $@

## sysv-rc-conf 1.3.0

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 .PHONY: install
 install: man
-	mkdir -p $(SBINDIR) $(MANDIR)8 $(MANDIR)3 $(MENUDIR) $(ICONDIR) $(LIBEXECDIR)
+	mkdir -p $(SBINDIR) $(MANDIR)8 $(MENUDIR) $(ICONDIR) $(LIBEXECDIR)
 	install -m644 -D -t $(PERLDIR)/App/SysVRcConf $(pm_files)
 	install -m755 sysv-rc-conf.pl $(SBINDIR)/sysv-rc-conf
 	install -m644 sysv-rc-conf.8 $(MANDIR)8

=== debian/changelog ===
sysv-rc-conf (1.3.0-2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Andrew Bower <andrew@bower.uk>  Sun, 02 Nov 2025 18:40:40 +0000

sysv-rc-conf (1.3.0-2) unstable; urgency=medium

  * d/patches: fix unknown current_runlevel() return
  * Alter system default config

 -- Andrew Bower <andrew@bower.uk>  Sat, 01 Nov 2025 18:05:56 +0000

sysv-rc-conf (1.3.0-1) unstable; urgency=medium

  * New upstream release
    - per-service information screen
    - find function

 -- Andrew Bower <andrew@bower.uk>  Wed, 29 Oct 2025 01:31:19 +0000

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,6 @@
  liblist-utilsby-perl,
  ${misc:Depends},
  ${perl:Depends},
-Recommends:
- sysv-rc,
 Description: SysV init runlevel configuration tool for the terminal
  The sysv-rc-conf utility provides a terminal UI for managing symlinks
  independently for each runlevel as an alternative to the recommended

=== debian/watch ===
Version: 5

Source: https://gitlab.com/init-tools/sysv-rc-conf.git/
Matching-Pattern: refs/tags/v([\d\.]+)
Mode: git
Pgpmode: gittag

## sysv-rc-conf 1.4.0

=== Makefile ===
--- 
+++ 
@@ -24,9 +24,13 @@
 all: man sysv-rc-conf.png
 
 .PHONY: man
-man:
+man: sysv-rc-conf.8 $(subst :,\:,$(pm_manpages))
+
+sysv-rc-conf.8: sysv-rc-conf.pl
 	pod2man -s 8 -c ' ' sysv-rc-conf.pl sysv-rc-conf.8
-	pod2man -s 3perl -c ' ' $(foreach pm,$(perl_modules),lib/App/SysVRcConf/$(pm).pm App::SysVRcConf::$(pm).3perl)
+
+App\:\:SysVRcConf\:\:%.3perl: lib/App/SysVRcConf/%.pm
+	pod2man -s 3perl -c ' ' $< $@
 
 sysv-rc-conf.png: sysv-rc-conf.svg
 	rsvg-convert --width 64 --output $@ $<

=== debian/changelog ===
sysv-rc-conf (1.4.0-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Andrew Bower <andrew@bower.uk>  Thu, 22 Jan 2026 06:17:19 +0000

sysv-rc-conf (1.4.0-1) unstable; urgency=medium

  * New Upstream release.
    - suspend on CTRL-Z and exit on CTRL-C (Closes: #292807)
    - show info with 'sysv-rc-conf [--info] svc' (Closes: #633151)
  * Convert to dgit-maint-merge(7) workflow
  * Drop only patch (incorporated upstream)
  * d/control:
    - drop redundant priority: optional
    - complies with standards version 4.7.3 (no change needed)

 -- Andrew Bower <andrew@bower.uk>  Mon, 19 Jan 2026 22:44:57 +0000
